Bitcoin Forum
December 08, 2016, 12:20:17 PM *
News: Latest stable version of Bitcoin Core: 0.13.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: « 1 ... 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 [94] 95 96 »
  Print  
Author Topic: [ANNOUNCE] Electrum - Lightweight Bitcoin Client  (Read 243126 times)
nioc
Legendary
*
Offline Offline

Activity: 1316

out of the blue and into the black


View Profile
September 25, 2015, 04:42:53 PM
 #1861

I had version 1.9.8 and at this time my btc balance is zero.  I just downloaded 2.4.4 for windows 8.1  Now I have both icons but only 2.4.4 actually works. 

The problem is that all my prior transactions have the decimal moved 3 places to the right so that a transaction of 1 btc reads 1000  and a balance of 23.123456 reads 23123.456  I guess I should have left some btc in there Grin

I was going to transfer btc to electrum but because of this I transferred to core instead.

Has anybody heard of this happening?  Is there a way of correcting the Hx?  Will there be any issues going forward?

If you don't know where you're going any road will get you there
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
SebastianJu
Legendary
*
Offline Offline

Activity: 1624


Free Legendary Escrow Service - Tip Jar in Profile


View Profile WWW
September 25, 2015, 08:33:08 PM
 #1862

I had version 1.9.8 and at this time my btc balance is zero.  I just downloaded 2.4.4 for windows 8.1  Now I have both icons but only 2.4.4 actually works. 

The problem is that all my prior transactions have the decimal moved 3 places to the right so that a transaction of 1 btc reads 1000  and a balance of 23.123456 reads 23123.456  I guess I should have left some btc in there Grin

I was going to transfer btc to electrum but because of this I transferred to core instead.

Has anybody heard of this happening?  Is there a way of correcting the Hx?  Will there be any issues going forward?

Your settings were reset. Didn't you get the idea that the unit was switched from BTC to mBTC?

Simply change it back in the settings. Might need an electrum restart.

 

██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
█████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
 
Get Free Bitcoin Now!
  ¦¯¦¦¯¦    ¦¯¦¦¯¦    ¦¯¦¦¯¦    ¦¯¦¦¯¦   
0.8%-1% House Edge
[/
nioc
Legendary
*
Offline Offline

Activity: 1316

out of the blue and into the black


View Profile
September 25, 2015, 09:28:46 PM
 #1863

I had version 1.9.8 and at this time my btc balance is zero.  I just downloaded 2.4.4 for windows 8.1  Now I have both icons but only 2.4.4 actually works. 

The problem is that all my prior transactions have the decimal moved 3 places to the right so that a transaction of 1 btc reads 1000  and a balance of 23.123456 reads 23123.456  I guess I should have left some btc in there Grin

I was going to transfer btc to electrum but because of this I transferred to core instead.

Has anybody heard of this happening?  Is there a way of correcting the Hx?  Will there be any issues going forward?

Your settings were reset. Didn't you get the idea that the unit was switched from BTC to mBTC?

Simply change it back in the settings. Might need an electrum restart.

TY, as usual I am clueless.  Good thing I'm lucky!

If you don't know where you're going any road will get you there
Shrikez
Sr. Member
****
Offline Offline

Activity: 384



View Profile
September 27, 2015, 08:13:39 AM
 #1864

Hello, I hope someone can help an Electrum newbie:

I am running Electrum on Linux Mint 17.2.

Today I wanted to fire up the wallet from my menu but it simply does nothing.

Starting it in a terminal with "Electrum --help" gives me the output:

Code:
Traceback (most recent call last):
  File "/usr/bin/electrum", line 48, in <module>
    imp.load_module('electrum', *imp.find_module('lib'))
ImportError: No module named lib

I'm not aware to have made any changes to my configuration or libraries except the usual suggested security updates.

What am I to do?

Thanks a bunch!

Die Würde des Menschen ist unantastbar
OmegaStarScream
Hero Member
*****
Offline Offline

Activity: 770



View Profile
September 27, 2015, 08:23:13 AM
 #1865

Hello, I hope someone can help an Electrum newbie:

I am running Electrum on Linux Mint 17.2.

Today I wanted to fire up the wallet from my menu but it simply does nothing.

Starting it in a terminal with "Electrum --help" gives me the output:

Code:
Traceback (most recent call last):
  File "/usr/bin/electrum", line 48, in <module>
    imp.load_module('electrum', *imp.find_module('lib'))
ImportError: No module named lib

I'm not aware to have made any changes to my configuration or libraries except the usual suggested security updates.

What am I to do?

Thanks a bunch!


Do you mean nothing happens when you try to open it ? I had this kind of issue on my Windows version sometime ago , all I needed to do is removing the .config  file which should be find on the AppData folder , I assume that Linux Mint have something simillar to that , if yes then try to remove the file like I told you , that should do the job .

Shrikez
Sr. Member
****
Offline Offline

Activity: 384



View Profile
September 27, 2015, 08:32:42 AM
 #1866

Hello, I hope someone can help an Electrum newbie:

I am running Electrum on Linux Mint 17.2.

Today I wanted to fire up the wallet from my menu but it simply does nothing.

Starting it in a terminal with "Electrum --help" gives me the output:

Code:
Traceback (most recent call last):
  File "/usr/bin/electrum", line 48, in <module>
    imp.load_module('electrum', *imp.find_module('lib'))
ImportError: No module named lib

I'm not aware to have made any changes to my configuration or libraries except the usual suggested security updates.

What am I to do?

Thanks a bunch!


Do you mean nothing happens when you try to open it ? I had this kind of issue on my Windows version sometime ago , all I needed to do is removing the .config  file which should be find on the AppData folder , I assume that Linux Mint have something simillar to that , if yes then try to remove the file like I told you , that should do the job .

Yes, nothing happens. And no, deleting the config didn't help but thank you anyway, I appreciate it Smiley


UPDATE: For the time being I recovered my funds by installing Electron on my Windows partition and recovering the wallet with the seed. I'd rather not use Windows though so the problem remains.

Die Würde des Menschen ist unantastbar
HardcoreSuperstar
Full Member
***
Offline Offline

Activity: 238


★YoBit.Net★ 350+ Coins Exchange & Dice


View Profile
October 17, 2015, 07:32:20 AM
 #1867

Where is the portable version?

I just cannot find it in the download page: https://electrum.org/#download

RustyNomad
Sr. Member
****
Offline Offline

Activity: 336



View Profile WWW
October 17, 2015, 12:55:30 PM
 #1868

Where is the portable version?

I just cannot find it in the download page: https://electrum.org/#download

Its called the 'Standalone executable' but its not working properly. Just tested the latest version 2.5 which was released a couple of hours ago and the standalone still forces the files onto the main drive of the PC so it cannot function as a true standalone.

Last proper version which works as it should in standalone mode is version 2.3.2 which can be downloaded from here: https://download.electrum.org/

Just scroll almost all the way down and look for 'electrum-2.3.2-portable.exe'. This version can be placed on a USB drive and run from there. It will also create all folders and files in the same location so its 'truly' portable.
ThomasV
Legendary
*
Offline Offline

Activity: 1722



View Profile WWW
October 17, 2015, 02:02:10 PM
 #1869

Its called the 'Standalone executable' but its not working properly. Just tested the latest version 2.5 which was released a couple of hours ago and the standalone still forces the files onto the main drive of the PC

I will have a look at that. that issue should be easier to fix than hardware wallets.

Electrum: the convenience of a web wallet, without the risks
OmegaStarScream
Hero Member
*****
Offline Offline

Activity: 770



View Profile
October 17, 2015, 02:21:58 PM
 #1870

Its called the 'Standalone executable' but its not working properly. Just tested the latest version 2.5 which was released a couple of hours ago and the standalone still forces the files onto the main drive of the PC

I will have a look at that. that issue should be easier to fix than hardware wallets.

Thomas you didn't answer me on the other topic please , in case you missed it I want to know what I'm supposed to do to upgrade to the new version ? I'm using 2.4.4 at the moment , should I install 2.5 over (using Linux btw) or I unistall the old version , Install the new version and use the seed to restore my wallet ?

kama
Full Member
***
Offline Offline

Activity: 140


View Profile
October 17, 2015, 02:27:22 PM
 #1871

electrum 2.5 standalone executable doesn't work on my pc
os is win 8.1 x64

RustyNomad
Sr. Member
****
Offline Offline

Activity: 336



View Profile WWW
October 17, 2015, 03:05:14 PM
 #1872

Its called the 'Standalone executable' but its not working properly. Just tested the latest version 2.5 which was released a couple of hours ago and the standalone still forces the files onto the main drive of the PC

I will have a look at that. that issue should be easier to fix than hardware wallets.

Thanks, that would help but in my case not really as all my wallets are on a Trezor and without the Trezor support it would mean I'm still stuck on version 2.3.2

What is funny is that Electrum-LTC works perfectly. I'm running version 2.4.3.1 and in that version everything works. The labels for the various wallets work, this still does not work in the BTC version, as well as all the hardware wallets.

Not sure what the difference between the two is but surely the Electrum-BTC version should have the same capabilities as the LTC. Is the LTC version not supposed to be based on the BTC version? From the looks of things however it seems like the LTC version is miles ahead of the BTC version while they should actually be on par.

I'm running the standalone version of the LTC version and have no issues with it running from a USB drive.
xgtele
Sr. Member
****
Offline Offline

Activity: 265



View Profile
October 17, 2015, 03:39:54 PM
 #1873

Where is the portable version?

I just cannot find it in the download page: https://electrum.org/#download

Its called the 'Standalone executable' but its not working properly. Just tested the latest version 2.5 which was released a couple of hours ago and the standalone still forces the files onto the main drive of the PC so it cannot function as a true standalone.

Last proper version which works as it should in standalone mode is version 2.3.2 which can be downloaded from here: https://download.electrum.org/

Just scroll almost all the way down and look for 'electrum-2.3.2-portable.exe'. This version can be placed on a USB drive and run from there. It will also create all folders and files in the same location so its 'truly' portable.

Why portable version development is frozen on 2.3.2?

RustyNomad
Sr. Member
****
Offline Offline

Activity: 336



View Profile WWW
October 17, 2015, 03:56:11 PM
 #1874

Where is the portable version?

I just cannot find it in the download page: https://electrum.org/#download

Its called the 'Standalone executable' but its not working properly. Just tested the latest version 2.5 which was released a couple of hours ago and the standalone still forces the files onto the main drive of the PC so it cannot function as a true standalone.

Last proper version which works as it should in standalone mode is version 2.3.2 which can be downloaded from here: https://download.electrum.org/

Just scroll almost all the way down and look for 'electrum-2.3.2-portable.exe'. This version can be placed on a USB drive and run from there. It will also create all folders and files in the same location so its 'truly' portable.

Why portable version development is frozen on 2.3.2?

The whole aim of a portable or standalone version is to be able to place the file on a USB drive and to be able to run it from a USB drive. In order to do that it means that all the data files need to be on the USB drive as well. A portable version will be pretty pointless if it required files which were not on the USB drive.

So this means you need all the Electrum files compacted into a single exe file i.e. the portable version. This version then needs to be able to work with data files residing in the same location i.e. on the USb drive. This means you can unplug your USB and take it to another PC and still be able to run Electrum from there as if you were on your own pc.

Up to version 2.3.2 this was the case. A single exe file which when fired up looked for the data files in the same location as where the exe file is and if there is none to create them. So all folders and files are created right there on the USB drive. So everything is on the USB drive.

Versions later than 2.3.2 does not work like this. They are all single exe files but they create all their files in the AppsData folder on your C drive when running Windows. That means you have the exe file on the USb but all your data files on the C drive which is pointless as it's anything but portable.

I have a Trezor and all my wallets are on there. I use Electrum together with the Trezor so all my Trezor wallets are also on Electrum as watch only wallets. So its easy for me to plug my USB drive and Trezor into any pc and to be able to do transactions. Does not matter whether the pc is compromised or not.

I'm however stuck on version 2.3.2 as that was the last portable version which was truly portable BUT ALSO the last version which had proper support for Trezor. This last release, version 2.5, also has no Trezor support. At this rate Trezor should remove Electrum as a compatible wallet as the last three or four versions has not been compatible.

I'm in the process of looking for alternatives but think I might just go with MyCelium on my phone and leave it at that. Electrum is starting to fall to far behind now, at least the versions that work for me.

EDIT: What's funny is if you look at Electrum-LTC, the LiteCoin version. Latest version is 2.4.3.1 and everythign works. Full Trezor support in all versions and a proper standalone version that works as it should. Electrum-LTC is supposed to be based on Electrum-BTC but it seems like the LTC version is actually the leader here as its miles ahead of the BTC version. Seems rather like the BTC version was based on the LTC version. There are several bugs still in the BTC version which has already been resolved in the LTC version which is what makes it funny. The LTC version should be the copy and not the leader.


SebastianJu
Legendary
*
Offline Offline

Activity: 1624


Free Legendary Escrow Service - Tip Jar in Profile


View Profile WWW
October 19, 2015, 01:50:14 AM
 #1875

I'm a bit confused why everyone speaks about the standalone version as the portable version. It is not as far as i know. The last portable version is 2.3.2 and it has a number of bugs, but works portable at least.

The standalone version was there all the time, beneath the portable version. I sometimes, accidentally, downloaded that version and had to realize that it is not the portable one.

So if i remember correctly, there normally was always a standalone AND a portable version with the same version number. And the standalone version acted the way, with drive C, since all the times because it was not portable.

I only hope the portable version comes back. It's no real fun having to drop my security only because that version forgets that i use proxies with each restart. Roll Eyes

 

██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
█████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
 
Get Free Bitcoin Now!
  ¦¯¦¦¯¦    ¦¯¦¦¯¦    ¦¯¦¦¯¦    ¦¯¦¦¯¦   
0.8%-1% House Edge
[/
jackcalvert
Newbie
*
Offline Offline

Activity: 1


View Profile
October 26, 2015, 01:02:22 PM
 #1876

I d/loaded Electrum, and it seemed simple enough, until I got to the part about configuring it to accept bitcoin through our website. (sound of cartoon tires screeching to a halt)
My partners were already leery of bitcoin, so it was a tough sell to begin with; the first time they try to set up an Electrum wallet to accept payments through the site, it's gonna scare the sh*t out of them, and they're gonna run like hell. I won't be able to uninstall it fast enough.

There's gotta be a simpler way to do this, fellas. Huh
OmegaStarScream
Hero Member
*****
Offline Offline

Activity: 770



View Profile
October 26, 2015, 01:45:44 PM
 #1877

I d/loaded Electrum, and it seemed simple enough, until I got to the part about configuring it to accept bitcoin through our website. (sound of cartoon tires screeching to a halt)
My partners were already leery of bitcoin, so it was a tough sell to begin with; the first time they try to set up an Electrum wallet to accept payments through the site, it's gonna scare the sh*t out of them, and they're gonna run like hell. I won't be able to uninstall it fast enough.

There's gotta be a simpler way to do this, fellas. Huh

This is all you need to know probably , all explained with details and everything I hope it helps : http://docs.electrum.org/en/latest/merchant.html

SebastianJu
Legendary
*
Offline Offline

Activity: 1624


Free Legendary Escrow Service - Tip Jar in Profile


View Profile WWW
October 31, 2015, 12:00:00 AM
 #1878

The portable version 2.5.2 works fine and doesn't forget the socks settings anymore. Though the worst problem now are the servers. I finally found a good server i can always connect to. That's not so easy. But when iam connected then the server gives me outdated data. I have 4 transactions unconfirmed since days, though in fact they have over couple hundred confirmations already.

I think the server software is the most pressing thing to mod on since it invalidates all work on the backend software for me at the moment.

Another thing is the error message at the start that doesn't vanish. Not problematic though still annoying.

It says: Caption:
Quote
Microsoft Visual C++ Runtime Library

Text:
Quote
Runtime Error!
Program: MyPath/electrum-2.5.2-portable.exe

R6034
An application has made an attempt to load the C runtime library incorrectly.
Please contact the application's support team for more information.

Which i did now. Tongue

 

██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
█████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
██████████████████████████████████████████████████████████████
 
Get Free Bitcoin Now!
  ¦¯¦¦¯¦    ¦¯¦¦¯¦    ¦¯¦¦¯¦    ¦¯¦¦¯¦   
0.8%-1% House Edge
[/
ThomasV
Legendary
*
Offline Offline

Activity: 1722



View Profile WWW
October 31, 2015, 05:39:29 AM
 #1879

The portable version 2.5.2 works fine and doesn't forget the socks settings anymore. Though the worst problem now are the servers. I finally found a good server i can always connect to. That's not so easy. But when iam connected then the server gives me outdated data. I have 4 transactions unconfirmed since days, though in fact they have over couple hundred confirmations already.

sounds like the malleability attack.
can you post the server, and the transaction id?

Electrum: the convenience of a web wallet, without the risks
japerry
Sr. Member
****
Offline Offline

Activity: 304



View Profile
October 31, 2015, 08:24:09 AM
 #1880


Another thing is the error message at the start that doesn't vanish. Not problematic though still annoying.

It says: Caption:
Quote
Microsoft Visual C++ Runtime Library

Text:
Quote
Runtime Error!
Program: MyPath/electrum-2.5.2-portable.exe

R6034
An application has made an attempt to load the C runtime library incorrectly.
Please contact the application's support team for more information.

Which i did now. Tongue

You can make the error go away by renaming the executable to "electrum.exe"


Pages: « 1 ... 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 [94] 95 96 »
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!